@echo off
rem apache module Windows build script
rem Copyright Peter Santoro (peter@psantoro.net)
rem Date: 2/01/2009

rem BUILD PREREQUISITES:
rem python 2.6+ (http://www.python.org)
rem install win32 apache with custom setup type and include the build headers and libraries (http://httpd.apache.org/)
rem install Visual Studio Express 2008 with SP1 and hotfixes (http://www.microsoft.com/express/download)
rem update your path environment variable as needed for access to the above tools
rem adjust the include and library paths in the release.rsp and debug.rsp files for your installation
rem adjust the /link /OUT: line in the release.rsp and debug.rsp for the apache module you are building
rem to build with the most current VC++ run time libraries, add /D_BIND_TO_CURRENT_CRT_VERSION to the rsp files

rem RUNTIME PREREQUISITES:
rem see readme.txt for the details
 
if ".%2"=="." GOTO USAGE
if "%1"=="-c" GOTO CLEAN
if "%1"=="-r" GOTO RELEASE
if "%1"=="-d" GOTO DEBUG
goto USAGE

:CLEAN
echo "-------------- REMOVING OLD BUILD FILES -------------------"
del %2.obj
del %2.lib
del %2.exp
del %2.so
del %2.so.manifest
GOTO END

:RELEASE
echo "-------------- RELEASE BUILD -------------------"
cl.exe @release.rsp %2.c
GOTO MANIFEST

:DEBUG
echo "-------------- DEBUG BUILD -------------------"
rem currently fails due to missing python 2.6 debug libraries
cl.exe @debug.rsp %2.c
GOTO MANIFEST

:MANIFEST
echo "-------------- ADDING MANIFEST TO MODULE -------------------"
mt.exe -manifest %2.so.manifest -outputresource:%2.so;2
GOTO END

:USAGE
echo "usage: bam -c|-r|-d mod_name"
echo "do not include the .c extension after mod_xxx"
echo "don't forget to adjust the include and library paths in the rsp files"
echo "don't forget to adjust the /link /OUT: line in the rsp files"

:END
